body {
    font-family: "DM Sans", sans-serif !important;
}

.modal-body {
    background: #fff;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    border-radius: 15px;
    border: none;
    overflow-y: inherit !important;
    padding: 50px 30px 50px 30px !important;
}

/* About Us Section CSS Start */

#about-us {
    margin-top: 60px;
}

.main-title-section {
    text-align: left;
}

.sec-title {
    position: relative;
    z-index: 2;
}

.sec-title_title {
    position: relative;
    font-weight: 700;
    font-size: 14px;
    display: flex;
    gap: 15px;
    align-items: center;
    color: #f47720;
    text-transform: uppercase;
    padding-left: 60px;
}

.sec-title_title:before {
    position: absolute;
    content: '';
    left: 0px;
    top: 10px;
    width: 50px;
    height: 1px;
    border-bottom: 1px dashed #f47720;
}

.sec-title_heading {
    margin-top: 15px;
    color: #000;
    text-transform: capitalize;
    line-height: 43px;
    font-weight: 700;
    font-size: 30px;
    font-family: "Lexend Deca", sans-serif;
}

.sec-title_text {
    line-height: 30px;
    font-size: 16px;
    margin-top: 20px;
    color: #000;
}

.slider {
    position: relative;
    width: 90%;
    height: 100%; /* Set a fixed height, or use image height */
    overflow: hidden;
}

.slide {
    position: absolute;
    top: 0;
    left: 0;
    width: 90%;
    height: 100%;
    opacity: 0;
    transition: opacity 1s ease-in-out;
    z-index: 0;
}

.slide img {
    display: block;
    width: 100%;
    height: 100%;
}

.slide.active {
    opacity: 1;
    z-index: 1;
}

/* Tablets and below */
@media (max-width: 992px) {
    .about-three_images-outer {
        /* max-width: 100%; */
        /* padding-left: 0; */
        margin: inherit;
    }

    .about-three_image-two,
    .about-three_image-three {
        /* position: static; */
        margin-top: 20px;
        width: 60%;
        right: -220px;
        animation: none;
    }

    .about-three_image {
        width: 80%;
        /* margin: 0 auto; */
    }

    #about-right {
        margin-top: 30px;
    }
}

/* Mobile devices */
@media (max-width: 576px) {
    .about-three_image-two,
    .about-three_image-three {
        width: 100%;
        border-radius: 50%;
        border-width: 6px;
        display: none;
    }

    .about-three_image {
        width: 100%;
    }

    #about-right {
        margin-left: 0px;        
        margin-top: 30px;
    }
}

/* About Us Section CSS End */

/* Our Products Section CSS Start */

#our-products {
    background-color: #F5F5F5;
    background-image: url('../img/why-choose-us-bg.jpg');
    background-position: top left;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    margin-top: 50px;
    padding: 80px 0;
}

.swiper {
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
}

.service-title_title {
    position: relative;
    font-weight: 700;
    font-size: 14px;
    display: flex;
    gap: 15px;
    align-items: center;
    color: #f47720;
    text-transform: uppercase;
    padding-left: 60px;
}

.service-title.centered {
    text-align: center !important;
}

.service-title.centered .service-title_title {
    justify-content: center;
    padding-left: 0;
}

.service-title.centered .service-title_title:before,
.service-title.centered .service-title_title:after {
    content: '';
    position: relative;
    width: 50px;
    height: 1px;
    border-bottom: 1px dashed #f47720;
}

.all-products {
    background-color: #f47720;
    color: #fff;
    border: 2px solid #f47720;
    padding: 10px 20px;
    border-radius: 50px;
    text-decoration: none;
    transition: 0.5s ease;
    font-size: 16px;
}

.all-products:hover {
     background-color: transparent;
    color: #f47720;
    border: 2px solid #f47720;
}

@media screen and (max-width: 520px) {
    #our-products {
        margin-top: 0;
    }
    
    .sec-title_heading {
        font-size: 43px;
        line-height: 50px;
    }
}

/* Our Products Section CSS End */

/* Why Choose Us Section CSS Start */

#why-choose-us {
    margin-top: 100px;
}

.why-choose {
    border-style: solid;
    border-width: 0px 1px 0px 0px;
    border-color: #D7D7D7;
    transition: background 0.3s, border 0.3s, border-radius 0.3s, box-shadow 0.3s;
    /* padding: 48px 20px 48px 20px; */
}

.why-choose2 {
    transition: background 0.3s, border 0.3s, border-radius 0.3s, box-shadow 0.3s;
    /* padding: 48px 20px 48px 20px; */
}

#dot-border {
    position: relative;
}

#dot-border:after {
    content: "";
    width: 9px;
    height: 9px;
    background-color: #f47720;
    position: absolute;
    right: 8px;
    transition: all 300ms ease 0s;
    animation: dotAnimatedTopToBottom 8s infinite linear;
    border-radius: 50%;
}

#dot-border2 {
    position: relative;
}

#dot-border2:after {
    content: "";
    width: 9px;
    height: 9px;
    background-color: #f47720;
    position: absolute;
    right: 8px;
    transition: all 300ms ease 0s;
    animation: dotAnimatedTopToBottom2 8s infinite linear;
    border-radius: 50%;
}

@keyframes dotAnimatedTopToBottom {
    0% {
        top: 0;
    }

    50% {
        top: 100%;
    }

    100% {
        top: 0;
    }
}

@keyframes dotAnimatedTopToBottom2 {
    0% {
        top: 100%;
    }

    50% {
        top: 0;
    }

    100% {
        top: 100%;
    }
}

.pxl-icon-box3 .pxl-item--inner {
    text-align: center;
    padding: 40px 24px 0px 24px;
    overflow: hidden;
    position: relative;
}

.hover-wrapper {
    position: relative;
    min-height: 200px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    gap: 16px;
}

.pxl-item--icon {
    background-color: #f47720;
    width: 100px;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    transition: all 0.4s ease;
    z-index: 2;
}

.pxl-item--icon i {
    font-size: 36px;
    color: #fff;
}

.pxl-item--title {
    font-size: 18px;
    font-weight: 600;
    color: #333;
    transition: transform 0.4s ease, margin 0.4s ease;
    z-index: 2;
}

.pxl-item--description {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    opacity: 0;
    transition: all 0.5s ease-in-out;
    z-index: 1;
}

.description-text {
    background-color: #fff;
    color: #333;
    font-size: 15px;
    line-height: 1.6;
    padding: 10px 15px;
    transform: translateY(20px);
    opacity: 0;
    transition: transform 0.6s ease-out, opacity 0.6s ease-out;
}

.pxl-icon-box3:hover .pxl-item--icon {
    opacity: 0;
    transform: scale(0.8);
}

.pxl-icon-box3:hover .pxl-item--title {
    transform: translateY(-140px);
}

.pxl-icon-box3:hover .pxl-item--description {
    top: 20px;
    opacity: 1;
}

.pxl-icon-box3:hover .description-text {
    transform: translateY(0);
    opacity: 1;
}

@media screen and (max-width: 520px) {
    #why-choose-us {
        margin-top: 50px;
    }
    
    .sec-title_heading {
        font-size: 35px;
    }
}

/* Why Choose Us Section CSS End */

/* FAQs Section CSS Start */

#faqs {
    margin-top: 100px;
    background-color: #F5F5F5;
    background-image: url('../img/why-choose-us-bg.jpg');
    background-position: top left;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    padding: 80px 0;
}

.accordion {
    margin: auto;
    border-radius: 5px;
    --bs-accordion-border-color: transparent !important;
    --bs-accordion-border-width: 0px !important;
}
  
.accordion-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    cursor: pointer;
    background-color: #f9f9f9;
    margin-top: 20px;
}

.accordion-header span {
    color: #000;
    font-weight: 600;
    line-height: 25px;
    font-size: 16px;
    letter-spacing: 0;
}
  
.accordion-header:hover {
    background-color: #e9e9e9;
}
  
.accordion-content {
    display: none;
    padding: 15px;
    font-size: 16px;
    background-color: #fff;
}
  
.icon {
    font-size: 25px !important;
}

.icon.active {
    color: #f47720;
}

/* FAQs Section CSS End */

/* Blog Section CSS Start */

#blog {
    margin-top: 100px;
    margin-bottom: 60px;
}

.news-block_two-content {
    position: relative;
    padding-top: 30px;
}

.news-block_two-meta {
    position: relative;
}

.news-block_two-inner img {
    border-radius: 20px;
}

.news-image-wrapper {
    position: relative;
    display: block;
    overflow: hidden;
    border-radius: 20px;
}

.news-image-wrapper img {
    display: block;
    width: 100%;
    border-radius: 20px;
    position: relative;
    z-index: 2; /* on top */
    transition: 0.3s ease;
}

.blur-overlay {
    position: absolute;
    top: 0; left: 0; right: 0; bottom: 0;
    z-index: 1; /* under image */
    filter: blur(10px);
    opacity: 0;
    transform: translateX(50%) scaleX(2);
    transition: all 0.4s ease;
    background-size: cover;
    background-position: center;
    border-radius: 20px;
}

/* Hover state */
.news-image-wrapper:hover .blur-overlay {
    opacity: 1;
    transform: translateX(0%) scaleX(1);
}


.news-block_two-meta li {
    position: relative;
    font-size: 16px;
    /* padding-left: 30px; */
    margin-right: 20px;
    display: inline-block;
    color: #000;
}

.news-block_two-meta li .icon {
    position: absolute;
    left: 0px;
    top: 2px;
    line-height: 1em;
    color: #f47720;
}

.news-block_two-meta li:last-child {
    margin-right: 0px;
    padding-right: 0px;
}

.news-block_two-title a {
    position: relative;
    margin-top: 15px;
    text-transform: capitalize;
    line-height: 34px;
    font-size: 24px;
    margin: 0px;
    background: none;
    font-weight: 700;
    color: #000;
    font-family: "Lexend Deca", sans-serif;
}

.news-block_two-text {
    position: relative;
    margin-top: 15px;
    color: #666666;
    display: block;
    font-size: 16px;
    line-height: 28px;
    text-transform: capitalize;
}

.news-block_two-more {
    position: relative;
    margin-top: 25px;
    font-size: 14px;
    font-weight: 700;
    display: flex;
    padding: 15px 25px;
    border-radius: 50px;
    justify-content: space-between;
    align-items: center;
    color: #000;
    text-transform: uppercase;
    background-color: rgba(0, 0, 0, 0.06);
    font-family: "Lexend Deca", sans-serif;
    transition: .5s;
}

.news-block_two-more:hover {
    color: #fff;
    background-color: #f47720;
}

.fa-fw {
    color: #f47720;
}

.news-block_two-more:hover .fa-fw {
    color: #fff;
}

/* Blog Section CSS End */

/*Scroll To Top Button CSS Start*/

#scrollToTopBtn {
    display: none; /* ✅ This hides the button initially */
    position: fixed;
    bottom: 23px;
    right: 30px;
    z-index: 99;
    font-size: 18px;
    border: none;
    outline: none;
    background-color: #000;
    color: #fff;
    cursor: pointer;
    padding: 12px 19px;
    transition: opacity 0.4s ease, transform 0.3s ease;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
}

#scrollToTopBtn:hover {
    background-color: #f47720;
}

/*Scroll To Top Button CSS End*/